<script setup>
import { onMounted } from 'vue';
import { useRoute } from 'vue-router';
import { UserPrefStore } from '../stores/UserPrefStore.js';
import AppMenu from './AppMenu.vue';
const userPrefStore = UserPrefStore();
const route = useRoute();

onMounted(() => {
    userPrefStore.fetchUserData();
    console.log("route path", route);
});
</script>

<template>
    <div v-if="userPrefStore.userLoaded">
        <app-menu></app-menu>
    </div>
   
</template>

<style lang="scss" scoped></style>
